package com.ruoyi.system.service;

import com.ruoyi.system.domain.AllInterfaceName;

import java.util.List;

/**
 * 所有接口名称Service接口
 * 
 * @author gyt
 * @date 2025-08-25
 */
public interface IAllInterfaceNameService 
{
    /**
     * 查询所有接口名称
     * 
     * @param id 所有接口名称主键
     * @return 所有接口名称
     */
    public AllInterfaceName selectAllInterfaceNameById(Long id);

    /**
     * 查询所有接口名称列表
     * 
     * @param allInterfaceName 所有接口名称
     * @return 所有接口名称集合
     */
    public List<AllInterfaceName> selectAllInterfaceNameList(AllInterfaceName allInterfaceName);

    /**
     * 新增所有接口名称
     * 
     * @param allInterfaceName 所有接口名称
     * @return 结果
     */
    public int insertAllInterfaceName(AllInterfaceName allInterfaceName);

    /**
     * 修改所有接口名称
     * 
     * @param allInterfaceName 所有接口名称
     * @return 结果
     */
    public int updateAllInterfaceName(AllInterfaceName allInterfaceName);

    /**
     * 批量删除所有接口名称
     * 
     * @param ids 需要删除的所有接口名称主键集合
     * @return 结果
     */
    public int deleteAllInterfaceNameByIds(Long[] ids);

    /**
     * 删除所有接口名称信息
     * 
     * @param id 所有接口名称主键
     * @return 结果
     */
    public int deleteAllInterfaceNameById(Long id);

    List<AllInterfaceName> getAllDeviceSn(AllInterfaceName interfaceName);

    List<AllInterfaceName> getAllSwitchSn(AllInterfaceName allInterfaceName);
}
